﻿@model IEnumerable<BeerOverflow.Web.Models.BeerViewModel>
@{
    ViewData["Title"] = "Home";
}

<div class="container">
    <section class="py-5">
        <div class="container">
            <section class="hero pb-3 bg-cover bg-center d-flex align-items-center" style="background: url(@Url.Content("~/img/home/sitebanner.jpg"))">
                <div class="container py-5">
                    <div class="row px-4 px-lg-5">
                        <div class="col-lg-6">
                            <p class="text-muted small text-uppercase mb-2">The place to find beers</p>
                            <h1 class="h2 text-uppercase mb-3">Welcome to BeerOverflow</h1><a class="btn btn-dark" asp-controller="Beers" asp-action="Index">Browse beers</a>
                        </div>
                    </div>
                </div>
            </section>
            <!-- CATEGORIES SECTION-->
            <section class="pt-5">
                <header class="text-center">
                    <p class="small text-muted small text-uppercase mb-1">Take your time and</p>
                    <h2 class="h5 text-uppercase mb-4">Browse our categories</h2>
                </header>
                <div class="row">
                    <div class="col-md-4 mb-4 mb-md-0">
                        <a class="category-item" asp-controller="Beers" asp-action="Index"><img class="img-fluid" src="@Url.Content("~/img/home/beersbanner.jpg")" alt=""><strong class="category-item-title">Beers</strong></a>
                    </div>
                    <div class="col-md-4 mb-4 mb-md-0">
                        <a class="category-item mb-4" asp-controller="Countries" asp-action="Index"><img class="img-fluid" src="@Url.Content("~/img/home/countriesbanner.jpg")" alt=""><strong class="category-item-title">Countries</strong></a>
                        <a class="category-item" asp-controller="Styles" asp-action="Index"><img class="img-fluid" src="@Url.Content("~/img/home/stylesbanner.jpg")" alt=""><strong class="category-item-title">Styles</strong></a>
                    </div>
                    <div class="col-md-4">
                        <a class="category-item" asp-controller="Breweries" asp-action="Index"><img class="img-fluid" src="@Url.Content("~/img/home/breweriesbanner.jpg")" alt=""><strong class="category-item-title">Breweries</strong></a>
                    </div>
                </div>
            </section>
            <!-- Top rated beers-->
            <section class="py-5">
                <header class="text-center">
                    <p class="small text-muted small text-uppercase mb-1">Have a look at our</p>
                    <h2 class="h5 text-uppercase mb-4">Top rated beers</h2>
                </header>
                <div class="row">
                    <!-- Beer-->
                    @foreach (var item in Model)
                    {
                        <div class="col-lg-4 col-sm-6">
                            <div class="product text-center">
                                <div class="mb-3 position-relative">
                                    <div class="badge text-white badge-"></div><a class="d-block" href="Beers/Details/@item.Id"><img class="img-fluid w-100" src="@Url.Content($"~/img/beers/beer{item.Id}.jpg")" onerror='this.src="@Url.Content($"~/img/beers/defaultbeer.jpg")"'></a>
                                    <div class="product-overlay">
                                        <ul class="mb-0 list-inline">
                                            <li class="list-inline-item m-0 p-0">
                                                <form asp-action="Add" asp-controller="WishList" method="post">
                                                    <input type="hidden" name="BeerId" value="@item.Id" />
                                                    <button class="btn btn-sm btn-outline-dark" type="submit">
                                                        <i class="far fa-heart"></i>
                                                    </button>
                                                </form>
                                            </li>
                                            <li class="list-inline-item m-0 p-0"><a class="btn btn-sm btn-dark" href="Beers/Details/@item.Id">Details</a></li>
                                            <li class="list-inline-item mr-0">
                                                <form asp-action="Add" asp-controller="DrankList" method="post">
                                                    <input type="hidden" name="beerId" value="@item.Id" />
                                                    <button class="btn btn-sm btn-outline-dark" type="submit">
                                                        <i class="fas fa-beer"></i>
                                                    </button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <h6> <a class="reset-anchor" href="detail.html">@item.Name</a></h6>
                                <p class="small text-muted">@item.ABV</p>
                            </div>
                        </div>
                    }
                </div>
            </section>
        </div>
    </section>
</div>